apply plugin: 'com.android.library'
apply plugin: 'com.jakewharton.butterknife'

android {
    compileSdkVersion 28

    defaultConfig {
        minSdkVersion 15
//        targetSdkVersion 22
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"

        ndk{
            abiFilters "armeabi"
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    // Butterknife requires Java 8.
    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    api project(':commonLib')

    api 'com.android.support:appcompat-v7:28.0.0'
    api 'com.android.support:design:28.0.0'
    api 'com.google.android:flexbox:1.0.0'
    api 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.44'
    api 'com.google.code.gson:gson:2.8.5'
//    api "org.permissionsdispatcher:permissionsdispatcher:3.3.1"
//    annotationProcessor "org.permissionsdispatcher:permissionsdispatcher-processor:3.3.1"
}
